# add

abstract fun add(configurationName: String, artifactNotation: Any): PublishArtifact

Adds an artifact to the given configuration.

#### Return

The artifact.

#### Parameters

configurationName

The name of the configuration.

artifactNotation

The artifact notation, in one of the notations described above.

abstract fun add(configurationName: String, artifactNotation: Any, @DelegatesTo(value = ConfigurablePublishArtifact::class) configureClosure: Closure): PublishArtifact

Adds an artifact to the given configuration.

#### Return

The artifact.

#### Parameters

configurationName

The name of the configuration.

artifactNotation

The artifact notation, in one of the notations described above.

configureClosure

The closure to execute to configure the artifact.

abstract fun add(configurationName: String, artifactNotation: Any, configureAction: Action<in ConfigurablePublishArtifact>): PublishArtifact

Adds an artifact to the given configuration.

#### Return

The artifact.

#### Since

3.3.

#### Parameters

configurationName

The name of the configuration.

artifactNotation

The artifact notation, in one of the notations described above.

configureAction

The action to execute to configure the artifact.